Subject: bug#51695: 29.0.50; lexical scope closure, interactive spec byte compiler warnings/usage issue

From: Michael Heerdegen <[email-masked]>
Date: Thu, 11 Nov 2021 00:44:09 +0100

Emanuel Berg via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> `defalias' and `lambda' BTW, isn't that an anonymous function
> with a name ... maybe an ordinary function makes more sense
> there, especially since `declare-function' has to be used?
>
> Or why a lambda?

Any `defun' call expands into a defalias form (plus optional
declarations).  It's a matter of taste what to use in this case - I use
`defalias' with the "naked" lambda to emphasize that it's important here
that a closure is involved, but that's irrelevant, you can do as
you wish.

Michael.